<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumProductPic extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_product_pic', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('store_id');
            $table->unsignedInteger('product_id');
            $table->longText('pic_url')->comment('图片链接');
            $table->unsignedInteger('is_delete')->default(0)->comment('Is_delete');
            $table->unsignedInteger('type')->default(0)->comment('0 普通图片 1 尺寸图 2 安装图');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_product_pic');
    }
}
